#!/bin/dash

# this script is public domain
# there is no warranty

MYDATE=`date +%Y%m%d`
MYDIR="tausta-${MYDATE}"

cd ~/.tausta.sh.dir || exit 1
./cleanall.sh
nice -n 19 ./compileall.sh

cd /tmp || exit 1

mkdir ./${MYDIR}
for f in README.* compileall.sh cleanall.sh docutils.conf docutils.twoside.conf docutils.landscape.conf RST_landscape.sty RST_Palatino_MPlus.sty
do
  cp ~/.tausta.sh.dir/${f} ${MYDIR}/
done

cp ~/.tausta.sh.dir/tausta.example.conf ${MYDIR}/tausta.conf
cp ~/.tausta.sh.dir/tausta.rc.dist.sh ${MYDIR}/tausta.rc.sh

for f in tausta.sh tausta.ksh.sh release-tausta.sh
do
  cp ~/scripts/${f} ${MYDIR}/
done

# AFAIK star is faster and better than GNU tar
# http://cdrecord.berlios.de/old/private/star.html
# ftp://ftp.berlios.de/pub/star/
if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
    TAR_BIN='star -time -fifostats '
    echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="gtar"
    echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="tar"
    echo "Cool... You have GNU tar, not just plain tar"
else
    echo "support for other tar-versions not yet available"
    exit 1
fi

$TAR_BIN -v -c -f - ${MYDIR} | bzip2 -9vvv > ${MYDIR}.tar.bz2
chmod ugo+r ${MYDIR}.tar.bz2
echo "${MYDIR}.tar.bz2 done"
cp ${MYDIR}.tar.bz2 ~/www/hacks/sh/tausta/ \
 && rm -rf ${MYDIR}*
cp -fv  ~/.tausta.sh.dir/README.tausta.html  ~/www/hacks/sh/tausta/
chmod -v ugo+r ~/www/hacks/sh/tausta/*


